<?php   
defined('C5_EXECUTE') or die("Access Denied.");
$al = Loader::helper('concrete/asset_library');
$bBefore = null;
$bAfter = null;

if ($controller->getFileBeforeID() > 0) { 
	$bBefore = $controller->getFileBeforeObject();
}
if ($controller->getFileAfterID() > 0) { 
	$bAfter = $controller->getFileAfterObject();

}
$args = array();
?>

<fieldset>

    <legend><?php  echo t('Files'); ?></legend>

	<div class="form-group">
		<label class="control-label"><?php  echo t('Image Before'); ?></label>
		<?php  echo $al->image('ccm-b-image-before', 'fBeforeID', t('Choose Before Image'), $bBefore, $args); ?>
	</div>
	<div class="form-group">
		<label class="control-label"><?php  echo t('Image After'); ?></label>
		<?php  echo $al->image('ccm-b-image-after', 'fAfterID', t('Choose After Image'), $bAfter, $args); ?>
	</div>

</fieldset>
<hr/>

<fieldset>
	<legend><?php  echo t('Options'); ?></legend>
	
	<div class="form-group">
		<label class="control-label"><?php  echo t('Orientation'); ?></label>
		<?php  echo $form->select('orientation', array('0' => t('Horizontal'), '1' => t('Vertical')), $orientation, array('style'=>'width: 40%;')); ?>
	</div>
	<div class="form-group">
		<label class="control-label" style="display: block"><?php  echo t('Offset'); ?></label>
		<?php  echo $form->text('offset', $offset, array('style'=>'width: 20%; display: inline-block;')); ?> %
	</div>
</fieldset>
<hr/>

<fieldset>
    <legend><?php  echo t('HTML'); ?></legend>

<div class="form-group">
	<?php  echo $form->label('altText', t('Alt. Text'))?>
	<?php  echo $form->text('altText', $altText, array('style'=>'width: 60%;')); ?>
</div>

<div class="form-group">
    <?php  echo $form->label('title', t('Title'))?>
    <?php  echo $form->text('title', $title, array('style'=>'width: 60%;')); ?>
</div>

</fieldset>